[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TSEMbuf

Record used in semop call.

## Declaration

Source position: ipc.pp line 518

`type TSEMbuf = record`
`sem_num: cushort;` |  | Number of the semaphore to perform operation on.
`sem_op: cshort;` |  | Operation to perform on semaphore
`sem_flg: cshort;` |  | Flags for operation.
`end;`

## Description

The TSEMbuf record is used in the semop call, and is used to specify which operations you want to do.

Documentation generated on: Feb 26 2014